Bug 446985 - Workspace chooser and workspace menu has different code paths for saving workspace
Summary: Workspace chooser and workspace menu has different code paths for saving work...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Resource Management (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Other Other
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-14 16:02 UTC by Alvin Wong
Modified: 2022-03-08 14:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Halla Rempt 2022-03-08 14:24:36 UTC
Git commit 0b2b592441fc822c34c5ace8d5fae8fe624b6381 by Halla Rempt.
Committed on 08/03/2022 at 14:23.
Pushed by rempt into branch 'krita/5.0'.

Synchronize the two places where we save a new workspace.

I don't see a way to actually not duplicate the code, though.

M  +3    -6    libs/ui/KisMainWindow.cpp
M  +2    -2    libs/ui/widgets/kis_workspace_chooser.cpp

https://invent.kde.org/graphics/krita/commit/0b2b592441fc822c34c5ace8d5fae8fe624b6381
Comment 2 Halla Rempt 2022-03-08 14:37:23 UTC
Git commit b8ebef709c09b80662d044df6654ea77e7326687 by Halla Rempt.
Committed on 08/03/2022 at 14:37.
Pushed by rempt into branch 'master'.

Synchronize the two places where we save a new workspace.

I don't see a way to actually not duplicate the code, though.
(cherry picked from commit 0b2b592441fc822c34c5ace8d5fae8fe624b6381)

M  +3    -6    libs/ui/KisMainWindow.cpp
M  +2    -2    libs/ui/widgets/kis_workspace_chooser.cpp

https://invent.kde.org/graphics/krita/commit/b8ebef709c09b80662d044df6654ea77e7326687